[TASK] Run tests with composer update --prefer-lowest 66/57666/14
authorChristian Kuhn <lolli@schwarzbu.ch>
Mon, 23 Jul 2018 22:32:14 +0000 (00:32 +0200)
committerChristian Kuhn <lolli@schwarzbu.ch>
Wed, 25 Jul 2018 10:35:01 +0000 (12:35 +0200)
commit18073caab25e3dd181b1f4a215377ab7d1b14858
tree2dac73c52dd30b996d8f625a883ff9a241b26b0d
parent09bb8fe6df4c395ffc5cc0f215439b4132f8269f
[TASK] Run tests with composer update --prefer-lowest

Similar to recent 'composer update everything' to see
if youngest dependencies allowed by our composer.json
survive the test suite, a 'composer update --prefer-lowest'
now does the opposite: An additional nightly test stage
checks if our lower bounds survive testing.

We need younger minimum fluid to run through all tests:
composer require typo3fluid/fluid ^2.5.2

We need to restrict doctrine/dbal to a higher patch level:
composer require doctrine/dbal ~2.7.1

And a series of require-dev dependencies:
composer require --dev typo3/testing-framework ^4.0.2
composer require --dev codeception/codeception ^2.4.4
composer require --dev friendsofphp/php-cs-fixer ^2.12.2

Change-Id: I5c3fa8478acc9537acc2205711081dc51b1c417a
Resolves: #85626
Related: #85624
Releases: master
Reviewed-on: https://review.typo3.org/57666
Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Benni Mack <benni@typo3.org>
Tested-by: Benni Mack <benni@typo3.org>
Build/bamboo/src/main/java/core/AbstractCoreSpec.java
Build/bamboo/src/main/java/core/NightlySpec.java
composer.json
composer.lock
typo3/sysext/core/composer.json
typo3/sysext/fluid/composer.json
typo3/sysext/redirects/composer.json